package cn.com.tenlion.configcontent.service.contentdispatch;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import cn.com.tenlion.configcontent.pojo.dtos.contentdispatch.ContentDispatchDTO;
import cn.com.tenlion.configcontent.pojo.vos.contentdispatch.ContentDispatchVO;
import cn.com.tenlion.configcontent.pojo.bos.contentdispatch.ContentDispatchBO;
import cn.com.tenlion.configcontent.pojo.pos.contentdispatch.ContentDispatchPO;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IContentDispatchService
 * @Description: CBC内容管理转发记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:35:42
 * @Version: 3.0
 **/
public interface IContentDispatchService {

    /**
     * 更新查看时间
     *
     * @param contentDispatchId
     * @param gmtCreate
     * @return
     */
    void updateGmtCreate(String contentDispatchId, String gmtCreate);

    /**
     * 新增CBC内容管理转发记录表
     *
     * @param contentDispatchVO
     * @return
     */
    void save(ContentDispatchVO contentDispatchVO);

    /**
     * 新增CBC内容管理转发记录表
     *
     * @param token
     * @param contentDispatchVO
     * @return
     */
    void save(String token, ContentDispatchVO contentDispatchVO);

    /**
     * 新增CBC内容管理转发记录表
     *
     * @param contentDispatchVO
     * @return contentDispatchId
     */
    String saveReturnId(ContentDispatchVO contentDispatchVO);

    /**
     * 新增CBC内容管理转发记录表
     *
     * @param token
     * @param contentDispatchVO
     * @return contentDispatchId
     */
    String saveReturnId(String token, ContentDispatchVO contentDispatchVO);

    /**
     * 删除CBC内容管理转发记录表
     *
     * @param ids id列表
     * @return
     */
    void remove(List<String> ids);


    /**
     * 删除CBC内容管理转发记录表
     *
     * @param token
     * @param ids id列表
     * @return
     */
    void remove(String token, List<String> ids);

    /**
     * 删除CBC内容管理转发记录表（物理删除）
     *
     * @param ids id列表
     */
    void delete(List<String> ids);

    /**
     * 修改CBC内容管理转发记录表
     *
     * @param contentDispatchId
     * @param contentDispatchVO
     * @return
     */
    void update(String contentDispatchId, ContentDispatchVO contentDispatchVO);

    /**
     * 修改CBC内容管理转发记录表
     *
     * @param token
     * @param contentDispatchId
     * @param contentDispatchVO
     * @return
     */
    void update(String token, String contentDispatchId, ContentDispatchVO contentDispatchVO);

    /**
     * CBC内容管理转发记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentDispatchDTO get(Map<String, Object> params);

    /**
     * CBC内容管理转发记录表详情
     *
     * @param contentDispatchId
     * @return
     */
    ContentDispatchDTO get(String contentDispatchId);

    /**
     * CBC内容管理转发记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentDispatchBO getBO(Map<String, Object> params);

    /**
     * CBC内容管理转发记录表详情
     *
     * @param contentDispatchId
     * @return
     */
    ContentDispatchBO getBO(String contentDispatchId);

    /**
     * CBC内容管理转发记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentDispatchPO getPO(Map<String, Object> params);

    /**
     * CBC内容管理转发记录表详情
     *
     * @param contentDispatchId
     * @return
     */
    ContentDispatchPO getPO(String contentDispatchId);

    /**
     * CBC内容管理转发记录表列表
     *
     * @param params
     * @return
     */
    List<ContentDispatchDTO> list(Map<String, Object> params);

    /**
     * CBC内容管理转发记录表列表
     *
     * @param params
     * @return
     */
    List<ContentDispatchBO> listBO(Map<String, Object> params);

    /**
     * CBC内容管理转发记录表列表
     *
     * @param params
     * @return
     */
    List<ContentDispatchPO> listPO(Map<String, Object> params);

    /**
     * CBC内容管理转发记录表分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<ContentDispatchDTO>> listPage(ListPage page);

    /**
     * CBC内容管理转发记录表统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}